require "cutest"
require_relative "../lib/cuba/secure_headers"

test "secure headers" do
  Cuba.plugin(Cuba::SecureHeaders)

  Cuba.define do
    on root do
      res.write("hello")
    end
  end

  _, headers, _ = Cuba.call("PATH_INFO" => "/", "SCRIPT_NAME" => "/")

  secure_headers = Cuba::SecureHeaders::SafeResponse::HEADERS
  secure_headers.each do |header, value|
    assert_equal(value, headers[header])
  end
end

